# Interface DOMLocator

All Superinterfaces:
  `SourceLocator`

public interface DOMLocator extends SourceLocator
Indicates the position of a node in a source DOM, intended primarily for error reporting. To use a DOMLocator, the receiver of an error must downcast the `SourceLocator` object returned by an exception. A `Transformer` may use this object for purposes other than error reporting, for instance, to indicate the source node that originated a result node.

Since:
  1.4

## Method Summary

Modifier and Type
Method
Description
`Node`
`getOriginatingNode()`
Return the node where the event occurred.

### Methods declared in interface SourceLocator

`getColumnNumber, getLineNumber, getPublicId, getSystemId`
Modifier and Type
Method
Description
`int`
`getColumnNumber()`
Return the character position where the current document event ends.
`int`
`getLineNumber()`
Return the line number where the current document event ends.
`String`
`getPublicId()`
Return the public identifier for the current document event.
`String`
`getSystemId()`
Return the system identifier for the current document event.

## Method Details

### getOriginatingNode

Node getOriginatingNode()
Return the node where the event occurred.

Returns:
  The node that is the location for the event.